Skip to main content

Get a resident by ID

GEThttps://api.propexo.com/v1/residents/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the resident

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/tenantsTenants
    Example: 12a070eb-067c-44fd-98d8-e7a756b66a89
    x_lease_idstring | nullnullablerequireddeprecated

    Deprecated. Use leases_meta_data instead

    MethodInterface
    /v0/tenantsTenants
    leases_meta_data object[]

    Known associated lease meta data

  • Array [
  • lease_idstringrequired

    The Propexo unique identifier for the lease

    MethodInterface
    /v0/tenantsTenants
    Example: clzvmyzz1332283343732swdeoau297
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    MethodInterface
    /v0/tenantsTenants
    Example: Financially Responsible
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    MethodInterface
    /v0/tenantsTenants
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datestring | nullnullablerequired

    The move-in date associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: 2024-06-25T00:00:00.000Z
    move_out_datestring | nullnullablerequired

    The move-out date associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: 2025-07-01T00:00:00.000Z
    notice_datenullrequired

    The date the resident gave notice

    Notice

    This field will always be null for APPFOLIO

    Example: null
    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: 123 Front Street
    address_1string | nullnullablerequired

    The first address line associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: 123 Square Street
    address_2_alternatestring | nullnullablerequired

    The second alternate address line associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: Apt 10
    address_2string | nullnullablerequired

    The second address line associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: Suite 82
    balance_in_centsnullrequired

    The rent balance owed

    Notice

    This field will always be null for APPFOLIO

    Example: null
    city_alternatestring | nullnullablerequired

    The alternate city associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: New York
    citystring | nullnullablerequired

    The city associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: Newark
    country_alternatestring | nullnullablerequired

    The alternate country associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: US
    countrystring | nullnullablerequired

    The country associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: 2001-01-05T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the resident

    MethodInterface
    /v0/tenantsTenants
    email_2string | nullnullablerequired

    The secondary email address associated with the resident

    MethodInterface
    /v0/tenantsTenants
    first_namestring | nullnullablerequired

    The first name associated with the resident

    Important

    AppFolio also offers a CompanyName field that we can pull in as custom data. Contact Propexo if you'd like this field.

    MethodInterface
    /v0/tenantsTenants
    Example: John
    is_employeenullrequired

    Is the resident an employee

    Notice

    This field will always be null for APPFOLIO

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: Doe
    late_balance_in_centsnullrequired

    The past due rent balance owed

    Notice

    This field will always be null for APPFOLIO

    Example: null
    middle_namestring | nullnullablerequired

    The middle name associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: L
    notesnullrequired

    Notes associated with the resident

    Notice

    This field will always be null for APPFOLIO

    Example: null
    phone_1_typenullrequired

    Type of the primary phone number

    Notice

    This field will always be null for APPFOLIO

    Example: null
    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: (555) 555-5555
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    MethodInterface
    /v0/tenantsTenants
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: FAX
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: (555) 555-5555
    state_alternatestring | nullnullablerequired

    The alternate state associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: NJ
    statestring | nullnullablerequired

    The state associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: NJ
    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: 77005
    zipstring | nullnullablerequired

    The zip code associated with the resident

    MethodInterface
    /v0/tenantsTenants
    Example: 90210
    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/tenantsTenants
    Example: cmh9gnjhq54937551231g8iwk01edcpw7
    namestring | nullnullablerequired

    The name associated with the resident pet

    MethodInterface
    /v0/tenantsTenants
    Example: Buddy
    typestring | nullnullablerequired

    The type associated with the resident pet

    MethodInterface
    /v0/tenantsTenants
    Example: Dog
    breednullrequired

    The breed of the resident pet

    Notice

    This field will always be null for APPFOLIO

    Example: null
    gender_rawnullrequired

    The raw value for the gender of the resident pet

    Notice

    This field will always be null for APPFOLIO

    Example: null
    age_in_yearsnumber | nullnullablerequired

    The age in years of the resident pet

    MethodInterface
    /v0/tenantsTenants
    Example: 3
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the resident pet

    MethodInterface
    /v0/tenantsTenants
    Example: 60
    is_fixednullrequired

    Whether the resident pet is fixed

    Notice

    This field will always be null for APPFOLIO

    Example: null
    is_service_animalnullrequired

    Whether the resident pet is a service animal

    Notice

    This field will always be null for APPFOLIO

    Example: null
    notesnullrequired

    Notes associated with the resident pet

    Notice

    This field will always be null for APPFOLIO

    Example: null
    custom_data object | nullrequired
    object
  • ]
  • vehicles object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident vehicle

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/tenantsTenants
    Example: cmh9gmuer53979540833t2av44u75ri
    makestring | nullnullablerequired

    The make of the resident vehicle

    MethodInterface
    /v0/tenantsTenants
    Example: Audi
    modelstring | nullnullablerequired

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle

    MethodInterface
    /v0/tenantsTenants
    Example: Q5
    colorstring | nullnullablerequired

    The color of the resident vehicle

    MethodInterface
    /v0/tenantsTenants
    Example: blue
    yearstring | nullnullablerequired

    The year of the resident vehicle

    MethodInterface
    /v0/tenantsTenants
    Example: 2019
    license_plate_numberstring | nullnullablerequired

    The license plate number of the resident vehicle

    MethodInterface
    /v0/tenantsTenants
    Example: ABC 123
    license_plate_statenullrequired

    The license plate state of the resident vehicle

    Notice

    This field will always be null for APPFOLIO

    Example: null
    notesnullrequired

    Notes associated with the resident vehicle

    Notice

    This field will always be null for APPFOLIO

    Example: null
    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum13required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: APPFOLIO
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/residents/:id
curl https://api.propexo.com/v1/residents/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "12a070eb-067c-44fd-98d8-e7a756b66a89",
"leases_meta_data": [
{
"lease_id": "clzvmyzz1332283343732swdeoau297",
"x_resident_type": "Financially Responsible",
"resident_type_normalized": "PRIMARY",
"move_in_date": "2024-06-25T00:00:00.000Z",
"move_out_date": "2025-07-01T00:00:00.000Z",
"notice_date": null,
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"address_1_alternate": "123 Front Street",
"address_1": "123 Square Street",
"address_2_alternate": "Apt 10",
"address_2": "Suite 82",
"balance_in_cents": null,
"city_alternate": "New York",
"city": "Newark",
"country_alternate": "US",
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "2001-01-05T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": "[email protected]",
"first_name": "John",
"is_employee": null,
"last_name": "Doe",
"late_balance_in_cents": null,
"middle_name": "L",
"notes": null,
"phone_1_type": null,
"phone_1": "(555) 555-5555",
"phone_2_type": "FAX",
"phone_2": "(555) 555-5555",
"state_alternate": "NJ",
"state": "NJ",
"zip_alternate": "77005",
"zip": "90210",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cmh9gnjhq54937551231g8iwk01edcpw7",
"name": "Buddy",
"type": "Dog",
"breed": null,
"gender_raw": null,
"age_in_years": 3,
"weight_in_pounds": 60,
"is_fixed": null,
"is_service_animal": null,
"notes": null,
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cmh9gmuer53979540833t2av44u75ri",
"make": "Audi",
"model": "Q5",
"color": "blue",
"year": "2019",
"license_plate_number": "ABC 123",
"license_plate_state": null,
"notes": null,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}